Skip to content

Get a relationship

GET
/api/v1/relationships/{id}
curl --request GET \
--url https://api.aletheia-ops.com/api/v1/relationships/example \
--header 'Authorization: Bearer <token>'
id
required
string

OK

Media typeapplication/json

Full edge for the evidence drawer

object
id
string
source_entity_type
string
source_entity_id
string
target_entity_type
string
target_entity_id
string
relationship_type
string
confidence
string
status
string
properties
object
key
additional properties
any
evidence
Array<object>

One config-field pointer backing an edge

object
kind
string
resource_id
string
path
string
value
string
first_observed_at
string format: date-time
last_observed_at
string format: date-time
Examplegenerated
{
"id": "example",
"source_entity_type": "example",
"source_entity_id": "example",
"target_entity_type": "example",
"target_entity_id": "example",
"relationship_type": "example",
"confidence": "example",
"status": "example",
"properties": {},
"evidence": [
{
"kind": "example",
"resource_id": "example",
"path": "example",
"value": "example"
}
],
"first_observed_at": "2026-04-15T12:00:00Z",
"last_observed_at": "2026-04-15T12:00:00Z"
}

No valid credential was presented, or it has expired.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "unauthorized",
"message": "authentication required"
}

Authenticated, but not permitted to perform this action.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
{
"code": "forbidden",
"message": "you do not have permission to perform this action"
}

The resource does not exist, or belongs to another organization. The two are deliberately indistinguishable.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
Examplenot_found
{
"code": "not_found",
"message": "resource not found"
}

An unexpected failure. Diagnostic detail is logged server-side and deliberately not returned. Quote the X-Request-Id response header when reporting one.

Media typeapplication/json
object
code
required

Stable, machine-readable identifier. Branch on this.

string
message
required

Human-readable explanation. Safe to display; do not parse.

string
Examples
Exampleinternal_error
{
"code": "internal_error",
"message": "internal server error"
}